[Xfce4-commits] <thunarx-python:master> Added simple autogen.sh script

Adam Plumb noreply at xfce.org
Thu May 27 18:10:08 CEST 2010


Updating branch refs/heads/master
         to fc75031cf4668d93e81ed38dcc14ee915d253e77 (commit)
       from 373272fc239d36e6aec828740f51758277846c3b (commit)

commit fc75031cf4668d93e81ed38dcc14ee915d253e77
Author: Adam Plumb <adamplumb at gmail.com>
Date:   Thu Sep 17 21:35:02 2009 -0400

    Added simple autogen.sh script

 autogen.sh |   20 ++++++++++++++++++++
 1 files changed, 20 insertions(+), 0 deletions(-)

diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..85a8f1d
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="thunarx-python"
+REQUIRED_AUTOMAKE_VERSION=1.7
+
+(test -f $srcdir/configure.ac) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level $PKG_NAME directory"
+    exit 1
+}
+
+which gnome-autogen.sh || {
+    echo "You need to install gnome-common from the GNOME CVS"
+    exit 1
+}
+USE_GNOME2_MACROS=1 . gnome-autogen.sh



More information about the Xfce4-commits mailing list